<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LFOAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LFOAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LFOAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LFOLVLBaseAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/LFOAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="LFOAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class LFOAbstractType" class="title">Class LFOAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.LFOAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hwpf/model/LFO.html"
                           title="class in org.apache.poi.hwpf.model">LFO</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">LFOAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">List Format Override (LFO). <p>Class and fields descriptions are quoted from
                    [MS-DOC] --v20110315; Word (.doc) Binary File Format

                    <p>
                        NOTE: This source is automatically generated please do not modify this file. Either subclass or
                        remove the record in src/types/definitions.
                    <p>
                        This class is internal. It content or properties may change without notice
                        due to changes in our knowledge of internal Microsoft Word binary structures.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to [MS-DOC] --v20110315; Word (.doc) Binary File Format;
                        Copyright (c) Microsoft Corporation
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_1_lsid">field_1_lsid</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_2_unused1">field_2_unused1</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_3_unused2">field_3_unused2</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_4_clfolvl">field_4_clfolvl</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_5_ibstFltAutoNum">field_5_ibstFltAutoNum</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_6_grfhic">field_6_grfhic</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#field_7_unused3">field_7_unused3</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#LFOAbstractType--">LFOAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getClfolvl--">getClfolvl</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the field that this LFO
                                        represents..
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getGrfhic--">getGrfhic</a></span>()</code>
                                    <div class="block">HTML compatibility flags.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getIbstFltAutoNum--">getIbstFltAutoNum</a></span>()</code>
                                    <div class="block">Used for AUTONUM field emulation.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getLsid--">getLsid</a></span>()</code>
                                    <div class="block">A signed integer that specifies the list identifier of an LSTF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused1--">getUnused1</a></span>()</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused2--">getUnused2</a></span>()</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#getUnused3--">getUnused3</a></span>()</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#serialize--">serialize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setClfolvl-byte-">setClfolvl</a></span>(byte&nbsp;field_4_clfolvl)</code>
                                    <div class="block">An unsigned integer that specifies the field that this LFO
                                        represents..
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setGrfhic-org.apache.poi.hwpf.model.Grfhic-">setGrfhic</a></span>(<a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;field_6_grfhic)</code>
                                    <div class="block">HTML compatibility flags.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setIbstFltAutoNum-byte-">setIbstFltAutoNum</a></span>(byte&nbsp;field_5_ibstFltAutoNum)</code>
                                    <div class="block">Used for AUTONUM field emulation.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setLsid-int-">setLsid</a></span>(int&nbsp;field_1_lsid)</code>
                                    <div class="block">A signed integer that specifies the list identifier of an LSTF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused1-int-">setUnused1</a></span>(int&nbsp;field_2_unused1)</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused2-int-">setUnused2</a></span>(int&nbsp;field_3_unused2)</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#setUnused3-byte-">setUnused3</a></span>(byte&nbsp;field_7_unused3)</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_lsid">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_lsid</h4>
                                <pre>protected&nbsp;int field_1_lsid</pre>
                            </li>
                        </ul>
                        <a name="field_2_unused1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_2_unused1</h4>
                                <pre>protected&nbsp;int field_2_unused1</pre>
                            </li>
                        </ul>
                        <a name="field_3_unused2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_3_unused2</h4>
                                <pre>protected&nbsp;int field_3_unused2</pre>
                            </li>
                        </ul>
                        <a name="field_4_clfolvl">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_4_clfolvl</h4>
                                <pre>protected&nbsp;byte field_4_clfolvl</pre>
                            </li>
                        </ul>
                        <a name="field_5_ibstFltAutoNum">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_5_ibstFltAutoNum</h4>
                                <pre>protected&nbsp;byte field_5_ibstFltAutoNum</pre>
                            </li>
                        </ul>
                        <a name="field_6_grfhic">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_6_grfhic</h4>
                                <pre>protected&nbsp;<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                                       title="class in org.apache.poi.hwpf.model">Grfhic</a> field_6_grfhic</pre>
                            </li>
                        </ul>
                        <a name="field_7_unused3">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_7_unused3</h4>
                                <pre>protected&nbsp;byte field_7_unused3</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="LFOAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LFOAbstractType</h4>
                                <pre>protected&nbsp;LFOAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;byte[]&nbsp;serialize()</pre>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record</div>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLsid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLsid</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getLsid()</pre>
                                <div class="block">A signed integer that specifies the list identifier of an LSTF. This
                                    LFO corresponds to the LSTF in PlfLst.rgLstf that has an lsid whose value is equal
                                    to this value..
                                </div>
                            </li>
                        </ul>
                        <a name="setLsid-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLsid</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setLsid(int&nbsp;field_1_lsid)</pre>
                                <div class="block">A signed integer that specifies the list identifier of an LSTF. This
                                    LFO corresponds to the LSTF in PlfLst.rgLstf that has an lsid whose value is equal
                                    to this value..
                                </div>
                            </li>
                        </ul>
                        <a name="getUnused1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused1</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getUnused1()</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="setUnused1-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused1</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setUnused1(int&nbsp;field_2_unused1)</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="getUnused2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused2</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getUnused2()</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="setUnused2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused2</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setUnused2(int&nbsp;field_3_unused2)</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="getClfolvl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClfolvl</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getClfolvl()</pre>
                                <div class="block">An unsigned integer that specifies the field that this LFO
                                    represents..
                                </div>
                            </li>
                        </ul>
                        <a name="setClfolvl-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setClfolvl</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setClfolvl(byte&nbsp;field_4_clfolvl)</pre>
                                <div class="block">An unsigned integer that specifies the field that this LFO
                                    represents..
                                </div>
                            </li>
                        </ul>
                        <a name="getIbstFltAutoNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIbstFltAutoNum</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getIbstFltAutoNum()</pre>
                                <div class="block">Used for AUTONUM field emulation.</div>
                            </li>
                        </ul>
                        <a name="setIbstFltAutoNum-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIbstFltAutoNum</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIbstFltAutoNum(byte&nbsp;field_5_ibstFltAutoNum)</pre>
                                <div class="block">Used for AUTONUM field emulation.</div>
                            </li>
                        </ul>
                        <a name="getGrfhic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGrfhic</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
               title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;getGrfhic()</pre>
                                <div class="block">HTML compatibility flags.</div>
                            </li>
                        </ul>
                        <a name="setGrfhic-org.apache.poi.hwpf.model.Grfhic-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setGrfhic</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setGrfhic(<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                   title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;field_6_grfhic)</pre>
                                <div class="block">HTML compatibility flags.</div>
                            </li>
                        </ul>
                        <a name="getUnused3--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused3</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getUnused3()</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="setUnused3-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setUnused3</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setUnused3(byte&nbsp;field_7_unused3)</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LFOAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LFOLVLBaseAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/LFOAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="LFOAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
